import request from '@/utils/request'

// 创建服务网点
export function createNode(data) {
  return request({
    url: '/ecw/node/create',
    method: 'post',
    data: data
  })
}

// 更新服务网点
export function updateNode(data) {
  return request({
    url: '/ecw/node/update',
    method: 'put',
    data: data
  })
}

// 删除服务网点
export function deleteNode(id) {
  return request({
    url: '/ecw/node/delete?id=' + id,
    method: 'delete'
  })
}

// 获得服务网点
export function getNode(id) {
  return request({
    url: '/ecw/node/get?id=' + id,
    method: 'get'
  })
}

// 获得服务网点分页
export function getNodeList(query) {
  return request({
    url: '/ecw/node/list',
    method: 'get',
    params: query
  })
}

// 获得服务网点分页
export function getNodePage(query) {
  return request({
    url: '/ecw/node/page',
    method: 'get',
    params: query
  })
}

// 导出服务网点 Excel
export function exportNodeExcel(query) {
  return request({
    url: '/ecw/node/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
